function [dx,dy,dz] = mogi_calc(x,y,depth,C);

%depth		depth of source, m
%x,y		calculation points, m
%C		strength of source

[th,r]= cart2pol(x,y);

denom = (depth^2+r.^2).^(3/2);
dr = C .* r ./ denom;		%horizontal displacement, m
dz = C .* depth ./ denom;	%vertical displacement, m

[dx,dy] = pol2cart(th,dr);

