

%******************************************
%                 userinput for okada model
%******************************************

%*****SET  background*****
%colorch = [0.9 0.5 0.1];

plate = figure('Color',colorch, 'HandleVisibility','on', ...
        'Position',[300 150 500 400], 'Tag','okada');

inputbak1  = uicontrol('style','frame','unit','norm','position',[0.0 0.0 0.5 2.0],...
                       'background',colorch);


gridtext = uicontrol('style','text','unit','norm','position',[0.12 0.93 0.35 0.05],...
                       'string','Source Properties (meters)','background',colorch,'hori','left');

%----------------------------------------------------------------------------------------

widthtext = uicontrol('style','text','unit','norm','position',[0.06 0.86 0.2 0.07],...
                       'string','Fault width:','background',colorch,'hori','left');
widthbut  = uicontrol('style','edit','unit','norm','position',[0.08 0.81 0.1 0.07],...
              'string', widthdef);

%----------------------------------------------------------------------------------------

lengthtext = uicontrol('style','text','unit','norm','position',[0.28 0.86 0.15 0.07],...
                       'string','Fault length:','background',colorch,'hori','left');
lengthbut  = uicontrol('style','edit','unit','norm','position',[0.3 0.81 0.1 0.07],...
              'string', lengthdef);

%----------------------------------------------------------------------------------------

depthtext = uicontrol('style','text','unit','norm','position',[0.06 0.69 0.2 0.07],...
                       'string','Fault depth:','background',colorch,'hori','left');
depthbut  = uicontrol('style','edit','unit','norm','position',[0.08 0.64 0.1 0.07],...
              'string', depthdef);
depthext2 = uicontrol('style','text','unit','norm','position',[0.06 0.54 0.2 0.1],...
                       'string','(measured to TOP of fault)','background',...
		      colorch,'hori','left');
%----------------------------------------------------------------------------------------

untext = uicontrol('style','text','unit','norm','position',[0.26 0.69 0.22 0.07],...
            'string','normal displacement:','background',colorch,'hori','left');
unbut  = uicontrol('style','edit','unit','norm','position',[0.3 0.64 0.1 0.07],...
              'string', undef);
untext2 = uicontrol('style','text','unit','norm','position',[0.28 0.54 0.14 0.1],...
                       'string','(-) for tensile faults','background',...
		      colorch,'hori','left');
%----------------------------------------------------------------------------------------

ustext = uicontrol('style','text','unit','norm','position',[0.06 0.46 0.14 0.07],...
            'string','strike-slip displacement:','background',colorch,'hori','left');
usbut  = uicontrol('style','edit','unit','norm','position',[0.08 0.38 0.1 0.07],...
              'string', usdef);
ustext2 = uicontrol('style','text','unit','norm','position',[0.06 0.28 0.14 0.1],...
                       'string','(-) for dextral faults','background',...
		      colorch,'hori','left');

%----------------------------------------------------------------------------------------

udtext = uicontrol('style','text','unit','norm','position',[0.28 0.46 0.14 0.07],...
            'string','dip-slip displacement:','background',colorch,'hori','left');
udbut  = uicontrol('style','edit','unit','norm','position',[0.3 0.38 0.1 0.07],...
              'string', uddef);
udtext2 = uicontrol('style','text','unit','norm','position',[0.28 0.28 0.14 0.1],...
                       'string','(-) for normal faults','background',...
		      colorch,'hori','left');

%----------------------------------------------------------------------------------------

gridtext = uicontrol('style','text','unit','norm','position',[0.12 0.15 0.3 0.1],...
                       'string','Offset from the origin, km:','background',...
                        colorch,'hori','left');
shiftxtext = uicontrol('style','text','unit','norm','position',[0.03 0.1 0.1 0.08],...
                       'string','DX:','background',colorch,'hori','left');
shiftxbut  = uicontrol('style','edit','unit','norm','position',[0.08 0.1 0.1 0.08],...
              'string', shiftxdef);

shiftytext = uicontrol('style','text','unit','norm','position',[0.25 0.1 0.1 0.08],...
                       'string','DY:','background',colorch,'hori','left');
shiftybut  = uicontrol('style','edit','unit','norm','position',[0.3 0.1 0.1 0.08],...
              'string', shiftydef);

%----------------------------------------------------------------------------------------

inputbak2  = uicontrol('style','frame','unit','norm','position',[0.5 0.5 0.5 0.5],...
                       'background',colorch);

gridtext = uicontrol('style','text','unit','norm','position',[0.65 0.93 0.25 0.05],...
                       'string','Calculation Grid Size (km)','background',colorch,'hori','left');


xmaxtext = uicontrol('style','text','unit','norm','position',[0.55 0.85 0.075 0.07],...
                       'string','Xmax:','background',colorch,'hori','left');
xmaxbut  = uicontrol('style','edit','unit','norm','position',[0.625 0.85 0.075 0.07],...
              'string', xmaxdef);

ymaxtext = uicontrol('style','text','unit','norm','position',[0.75 0.85 0.075 0.07],...
                       'string','Ymax:','background',colorch,'hori','left');
ymaxbut  = uicontrol('style','edit','unit','norm','position',[0.89 0.85 0.075 0.07],...
              'string', ymaxdef);


xmintext = uicontrol('style','text','unit','norm','position',[0.55 0.70 0.075 0.07],...
                       'string','Xmin:','background',colorch,'hori','left');
xminbut  = uicontrol('style','edit','unit','norm','position',[0.625 0.70 0.075 0.07],...
              'string', xmindef);

ymintext = uicontrol('style','text','unit','norm','position',[0.75 0.70 0.075 0.07],...
                       'string','Ymin:','background',colorch,'hori','left');
yminbut  = uicontrol('style','edit','unit','norm','position',[0.89 0.70 0.075 0.07],...
              'string', ymindef);


xspacetext = uicontrol('style','text','unit','norm','position',[0.51 0.55 0.12 0.07],...
                       'string','Xspacing:','background',colorch,'hori','left');
xspacebut  = uicontrol('style','edit','unit','norm','position',[0.63 0.55 0.075 0.07],...
              'string', xspacedef);

yspacetext = uicontrol('style','text','unit','norm','position',[0.77 0.55 0.12 0.07],...
                       'string','Yspacing:','background',colorch,'hori','left');
yspacebut  = uicontrol('style','edit','unit','norm','position',[0.89 0.55 0.075 0.07],...
              'string', yspacedef);



%----------------------------------------------------------------------------------------

inputbak3  = uicontrol('style','frame','unit','norm','position',[0.5 0.2 0.5 0.3],...
                       'background',colorch);

striketext = uicontrol('style','text','unit','norm','position',[0.55 0.38 0.25 0.07],...
                       'string','Fault Strike (0 = N-S):','background',colorch,'hori','left');
strikebut  = uicontrol('style','edit','unit','norm','position',[0.8 0.4 0.15 0.07],...
              'string', strikedef);
degtext = uicontrol('style','text','unit','norm','position',[0.55 0.31 0.25 0.07],...
                       'string','(degrees)','background',colorch,'hori','left');
diptext = uicontrol('style','text','unit','norm','position',[0.55 0.23 0.25 0.07],...
                       'string','Fault Dip (0-180):','background',colorch,'hori','left');

dipbut  = uicontrol('style','edit','unit','norm','position',[0.8 0.25 0.15 0.07],...
              'string', dipdef);



%----------------------------------------------------------------------------------------

inputbak  = uicontrol('style','frame','unit','norm','position',[0.5 0.0 0.5 0.2],...
                       'background',colorch);
inputbut  = uicontrol('style','push','unit','norm','position',[0.6 0.05 0.3 0.1],...
                       'string','RUN','background',[0.5 0.5 0.6],'call','generic');
%----------------------------------------------------------------------------------------
