%
%	input for the Mogi Source
%

plate = figure('Color',colorch, 'HandleVisibility','on', ...
        'Position',[400 100 400 300], 'Tag','mogi');

inputbak1  = uicontrol('style','frame','unit','norm','position',[0.0 0.0 0.5 1.0],...
                       'background',colorch);


gridtext = uicontrol('style','text','unit','norm','position',[0.1 0.8 0.35 0.1],...
                       'string','Mogi source parameters:','background',colorch,'hori','left');
%----------------------------------------------------------------------------------------

depthtext = uicontrol('style','text','unit','norm','position',[0.1 0.7 0.15 0.08],...
                       'string','Depth, m:','background',colorch,'hori','left');
depthbut  = uicontrol('style','edit','unit','norm','position',[0.25 0.7 0.15 0.08],...
              		'string', depthdef);

%----------------------------------------------------------------------------------------

pressuretext = uicontrol('style','text','unit','norm','position',[0.02 0.55 0.25 0.08],...
                       'string','Excess magma pressure, MPa:','background',colorch,'hori','left');
pressurebut  = uicontrol('style','edit','unit','norm','position',[0.25 0.55 0.15 0.08],...
              'string', pressuredef);

%----------------------------------------------------------------------------------------

lengthtext = uicontrol('style','text','unit','norm','position',[0.02 0.4 0.25 0.08],...
                       'string','Radius, m:','background',colorch,'hori','left');
lengthbut  = uicontrol('style','edit','unit','norm','position',[0.25 0.4 0.15 0.08],...
              'string', lengthdef);

%----------------------------------------------------------------------------------------

gridtext = uicontrol('style','text','unit','norm','position',[0.1 0.2 0.35 0.1],...
                       'string','Source offset from the origin, km:','background',...
                        colorch,'hori','left');
shiftxtext = uicontrol('style','text','unit','norm','position',[0.02 0.1 0.1 0.08],...
                       'string','DX:','background',colorch,'hori','left');
shiftxbut  = uicontrol('style','edit','unit','norm','position',[0.125 0.1 0.1 0.08],...
              'string', shiftxdef);

shiftytext = uicontrol('style','text','unit','norm','position',[0.25 0.1 0.1 0.08],...
                       'string','DY:','background',colorch,'hori','left');
shiftybut  = uicontrol('style','edit','unit','norm','position',[0.335 0.1 0.1 0.08],...
              'string', shiftydef);

%----------------------------------------------------------------------------------------

inputbak2  = uicontrol('style','frame','unit','norm','position',[0.5 0.2 0.5 0.8],...
                       'background',colorch);

gridtext = uicontrol('style','text','unit','norm','position',[0.65 0.9 0.25 0.05],...
                       'string','Calculation Grid Size (km)','background',colorch,'hori','left');


xmaxtext = uicontrol('style','text','unit','norm','position',[0.52 0.8 0.1 0.08],...
                       'string','Xmax:','background',colorch,'hori','left');
xmaxbut  = uicontrol('style','edit','unit','norm','position',[0.625 0.8 0.075 0.08],...
              'string', xmaxdef);

ymaxtext = uicontrol('style','text','unit','norm','position',[0.75 0.8 0.1 0.08],...
                       'string','Ymax:','background',colorch,'hori','left');
ymaxbut  = uicontrol('style','edit','unit','norm','position',[0.89 0.8 0.075 0.08],...
              'string', ymaxdef);


xmintext = uicontrol('style','text','unit','norm','position',[0.52 0.55 0.1 0.08],...
                       'string','Xmin:','background',colorch,'hori','left');
xminbut  = uicontrol('style','edit','unit','norm','position',[0.625 0.55 0.075 0.08],...
              'string', xmindef);

ymintext = uicontrol('style','text','unit','norm','position',[0.75 0.55 0.1 0.08],...
                       'string','Ymin:','background',colorch,'hori','left');
yminbut  = uicontrol('style','edit','unit','norm','position',[0.89 0.55 0.075 0.08],...
              'string', ymindef);


xspacetext = uicontrol('style','text','unit','norm','position',[0.51 0.3 0.13 0.08],...
                       'string','Xspacing:','background',colorch,'hori','left');
xspacebut  = uicontrol('style','edit','unit','norm','position',[0.63 0.3 0.075 0.08],...
              'string', xspacedef);

yspacetext = uicontrol('style','text','unit','norm','position',[0.75 0.3 0.13 0.08],...
                       'string','Yspacing:','background',colorch,'hori','left');
yspacebut  = uicontrol('style','edit','unit','norm','position',[0.89 0.3 0.075 0.08],...
              'string', yspacedef);

%----------------------------------------------------------------------------------------

inputbak  = uicontrol('style','frame','unit','norm','position',[0.5 0.0 0.5 0.2],...
                       'background',colorch);
inputbut  = uicontrol('style','push','unit','norm','position',[0.6 0.05 0.3 0.1],...
                       'string','RUN','background',[0.5 0.5 0.6],'call','generic');
%----------------------------------------------------------------------------------------
